# Set-RASAVDWorkspace

### NAME

Set-RASAVDWorkspace\ <br>

### SYNOPSIS

Modifies an Azure Virtual Desktop Workspace.\ <br>

### SYNTAX

Set-RASAVDWorkspace \[-[Id](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASAVDWorkspace.html#Id)] *\<uint>* \[-[Description](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASAVDWorkspace.html#Description) *\<string>*] \[-[Enable](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASAVDWorkspace.html#Enable) *\<bool>*] \[-[FriendlyName](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASAVDWorkspace.html#FriendlyName) *\<string>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASAVDWorkspace.html#CommonParameters)*>*]\
\
Set-RASAVDWorkspace \[-[InputObject](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASAVDWorkspace.html#InputObject)] *<*[*AVDWorkspace*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/AVDWorkspace.html)*>* \[-[Description](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASAVDWorkspace.html#Description) *\<string>*] \[-[Enable](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASAVDWorkspace.html#Enable) *\<bool>*] \[-[FriendlyName](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASAVDWorkspace.html#FriendlyName) *\<string>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASAVDWorkspace.html#CommonParameters)*>*]\
\
Set-RASAVDWorkspace \[-[Name](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASAVDWorkspace.html#Name)] *\<string>* \[\[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASAVDWorkspace.html#SiteId)] *\<uint>*] \[-[Description](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASAVDWorkspace.html#Description) *\<string>*] \[-[Enable](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASAVDWorkspace.html#Enable) *\<bool>*] \[-[FriendlyName](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASAVDWorkspace.html#FriendlyName) *\<string>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASAVDWorkspace.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Modifies the specified Azure Virtual Desktop Workspace from within the specified site.\
\
This is an Experimental feature which is subject to slight changes.\ <br>

### PARAMETERS

\
-**Name \<string>**\
The name of the Azure Virtual Desktop Workspace for which to update the information.\
\
This must be the actual Azure Virtual Desktop Workspace name.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SiteId \<uint>**\
Site ID from which to update the Azure Virtual Desktop Workspace.\
\
If the parameter is omitted, the Licensing Server site ID will be used.\ <br>

```
        Required?                    false
```

```
        Position?                    1
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Id \<uint>**\
The ID of a Azure Virtual Desktop Workspace for which to update the information.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**InputObject <**[**AVDWorkspace**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/AVDWorkspace.html)**>**\
An object representing the Azure Virtual Desktop Workspace to update.\
\
To obtain the object, use the Get-RASAVDWorkpsace command.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       true (ByValue)
```

```
        Accept wildcard characters?  false
```

\
-**FriendlyName \<string>**\
Friendly name of Azure Virtual Desktop Workspace.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Description \<string>**\
Description of Azure Virtual Desktop Workspace.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Enable \<bool>**\
Enables or disables the Azure Virtual Desktop Workspace in site.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

[AVDWorkspace](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/AVDWorkspace.html)

### OUTPUTS

-none-

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Set-RASAVDWorkspace -Name "My AVDWorkspace" -SiteId 1 -Description "My Description"\
\
Modifies the description of the Azure Virtual Desktop Workspace specified by name from the site with ID 1.\
\&#xNAN;**---------- EXAMPLE 2 ----------**\
\
Set-RASAVDWorkspace -Id 10 -Description "My Description"\
\
Modifies the description of the Azure Virtual Desktop Workspace specified by ID.\
\&#xNAN;**---------- EXAMPLE 3 ----------**\
\
Get-RASAVDWorkspace -Id 10 | Set-RASAVDWorkspace -Description "My Description"\
\
Modifies the description of the Azure Virtual Desktop Workspace represented by the object obtained from the pipeline output.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/set-rasavdworkspace.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
